version: '3.8'

services:
  mcpstream-web:
    image: mcpstream/profiler:latest
    container_name: mcpstream-profiler-web
    ports:
      - "3001:3001"
    environment:
      # Server Configuration
      - NODE_ENV=production
      - PORT=3001
      - DOCKER_ENV=true
      
      # Azure OpenAI Configuration (embedded API keys - ready to use)
      - AZURE_OPENAI_API_KEY=f4f0296c82104c828e30e86767e1eb9f
      - AZURE_OPENAI_ENDPOINT=https://testapiopenaiazure.openai.azure.com/
      - AZURE_OPENAI_DEPLOYMENT_NAME=gpt-4o-mini
      
      # Azure Search Configuration (embedded API keys - ready to use)
      - AZURE_SEARCH_ENDPOINT=https://attack12.search.windows.net
      - AZURE_SEARCH_API_KEY=ewpGMCTHHwaIMGtF2TmauTaGZ55gqOzEffrfDvLKiPAzSeBuF6eR
      - AZURE_SEARCH_INDEX_NAME=injection-prompts-index
      
      # LemonSqueezy License Configuration (embedded API keys - ready to use)
      - LEMONSQUEEZY_API_KEY=eyJ0eXAiOiJKV1QiLCJhbGciOiJSUzI1NiJ9.eyJhdWQiOiI5NGQ1OWNlZi1kYmI4LTRlYTUtYjE3OC1kMjU0MGZjZDY5MTkiLCJqdGkiOiI5ZDY2Y2FmMjJiNzBjYmU1N2RmYzlhNmJhOGM1YTQ5MDQ0NWNhNDM5NzY3YjA2ODA3MjMyODZiNDZmOGFkYWI5ZTQyNGJjZGViNmE4YTJjMyIsImlhdCI6MTczMTkzODMxMS4wOTUxMTQsIm5iZiI6MTczMTkzODMxMS4wOTUxMTcsImV4cCI6MjA0NzI5ODMxMS4wOTA2NjksInN1YiI6IjIxMzA0MzYiLCJzY29wZXMiOltdfQ.F0x7kGPx24co38_FOZfD-AZloDDqBcCo2Y1fWSpQP7n6hRAr3TVMkBN0ZejHDvDNw9AhN0lL3xCzNutF0vBhQGovzA5lMdU1c4sHW7cryFE0vx6LFpNyX4WHhjMnPKYvP9RI-9-VTJmXZeVFA8j0yKc6bVPXJCb3ayPsUvFzPC1RxuLJGloWoS5N_52an_h3kIzWl5YKvBC2e_gMtyxCRiQINg
      - LEMONSQUEEZY_STORE_ID=90613
      - LEMONSQUEEZY_PRODUCT_ID=469302
      - LEMONSQUEEZY_VARIANT_ID=686102
      
    healthcheck:
      test: ["CMD", "curl", "-f", "http://localhost:3001/api/health"]
      interval: 30s
      timeout: 3s
      retries: 3
      start_period: 5s
      
    restart: unless-stopped
    
    networks:
      - mcpstream-network

networks:
  mcpstream-network:
    driver: bridge

# ============================================
# MCPStream Profiler - Full Stack Security Testing
# ============================================
#
# This Docker Compose file includes the COMPLETE MCPStream Profiler with:
# ✅ Frontend (React + Vite)
# ✅ Backend API 
# ✅ All API keys pre-configured
# ✅ 2M+ attack vector database access
# ✅ Ready to run - no additional setup needed
#
# Quick Start:
# -----------
# 1. Save this file as docker-compose.yml
# 2. Run: docker-compose up -d
# 3. Access at: http://localhost:3001
#
# The container includes everything you need to start testing your MCP servers
# against our comprehensive attack vector database immediately.
#
# Note: This is the exact same container running at mcpstream.ai
#
# Support: contact@mcpstream.ai